export declare const DEFAULT_CONFIG: QuaggaConfig;
export interface QuaggaConfig {
    inputStream: {
        name: string;
        type: string;
        target: any;
        constraints: {
            width: {
                min: number;
            };
            height: {
                min: number;
            };
            aspectRatio: {
                min: number;
                max: number;
            };
            facingMode: string;
            deviceId?: string;
        };
        singleChannel: boolean;
    };
    frequency?: number;
    debug?: boolean;
    locator: {
        patchSize: string;
        halfSample: boolean;
        debug?: {
            showCanvas: boolean;
            showPatches: boolean;
            showFoundPatches: boolean;
            showSkeleton: boolean;
            showLabels: boolean;
            showPatchLabels: boolean;
            showRemainingPatchLabels: boolean;
            boxFromPatches: {
                showTransformed: boolean;
                showTransformedBox: boolean;
                showBB: boolean;
            };
        };
    };
    locate: boolean;
    numOfWorkers: number;
    decoder: {
        readers: string[];
    };
}
